{
  "name": "tfdidesign-md11-load-manager",
  "version": "0.1.21",
  "description": "",
  "main": "index.js",
  "type": "module",
  "scripts": {
    "types": "rimraf __generated__ && typed-scss-modules ./src --nameFormat none --exportType default --outputFolder __generated__",
    "lint": "eslint ./src",
    "licenses": "license-report --output=markdown > ./src/assets/licenses_node.md",
    "debugger": "cd \"%MSFS_SDK%\\Tools\\CoherentGT Debugger\" && Debugger.exe",
    "locale": "cd \"%MSFS_SDK%\\Tools\\MSFS_Localization\" && MSFSLocalizationManager.exe",
    "dev": "npx rollup -c -w",
    "clean": "rimraf ../html_ui/InGamePanels/tfdidesign-md11-load-manager-panel/ && rimraf .rollup.cache",
    "build": "npm version patch && npx rollup -c",
    "build-efb": "npm version patch && cross-env SPLIT=true npx rollup -c",
    "release": "pnpm types && pnpm lint && pnpm run licenses && pnpm clean && npm version patch && cross-env NODE_ENV=production npx rollup -c",
    "release-efb": "pnpm types && pnpm lint && pnpm run licenses && pnpm clean && npm version patch && cross-env NODE_ENV=production SPLIT=true npx rollup -c"
  },
  "engines": {
    "node": ">=22"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@microsoft/msfs-types": "^1.14.6",
    "@rollup/plugin-commonjs": "^28.0.3",
    "@rollup/plugin-json": "^6.1.0",
    "@rollup/plugin-node-resolve": "^16.0.1",
    "@rollup/plugin-replace": "^6.0.2",
    "@rollup/plugin-terser": "^0.4.4",
    "@rollup/plugin-typescript": "^12.1.2",
    "@types/react": "^19.1.6",
    "@types/react-dom": "^19.1.6",
    "@types/uuid": "^10.0.0",
    "@typescript-eslint/eslint-plugin": "^6.21.0",
    "@typescript-eslint/parser": "^6.21.0",
    "autoprefixer": "^10.4.21",
    "cross-env": "^7.0.3",
    "eslint": "^8.57.1",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^4.6.2",
    "license-report": "^6.7.2",
    "postcss": "^8.5.4",
    "postcss-import": "^16.1.0",
    "prettier": "^3.5.3",
    "prettier-plugin-organize-imports": "^4.1.0",
    "rimraf": "^6.0.1",
    "rollup": "^4.42.0",
    "rollup-plugin-copy": "^3.5.0",
    "rollup-plugin-postcss": "^4.0.2",
    "rollup-plugin-react-svg": "^3.0.3",
    "rollup-plugin-version-injector": "^1.3.3",
    "sass": "^1.89.1",
    "svg-slim": "^2.0.5",
    "tslib": "^2.8.1",
    "typed-scss-modules": "^8.1.1",
    "typescript": "5.8.3"
  },
  "dependencies": {
    "react": "^19.1.0",
    "react-dom": "^19.1.0",
    "uuid": "^11.1.0"
  },
  "packageManager": "pnpm@10.11.1+sha512.e519b9f7639869dc8d5c3c5dfef73b3f091094b0a006d7317353c72b124e80e1afd429732e28705ad6bfa1ee879c1fce46c128ccebd3192101f43dd67c667912"
}
